//
//  ARService+API.h
//  AppRelay
//
//  Created by Sebastien Morel on 13-03-22.
//  Copyright (c) 2013 WhereCloud Inc. All rights reserved.
//

#import "ARService.h"


/**
 */
@interface ARService (API)

/**
 */
- (void)fetchNewMessagesWithCompletionBlock:(void(^)(NSError* error))completionBlock;


///-----------------------------------
/// @name Overriding Http Request calls
///-----------------------------------

/** By overriding this block, you can redirect the http request calls to your own system.
 You'll have to asynchronously call the completionBlock by passing your result, error and HTTP URL Response at the end of the request.
 */
@property(nonatomic,copy) void(^httpRequestBlock)(NSURLRequest* urlRequest,void(^completionBlock)(id result, NSHTTPURLResponse* response,NSError* error));


@end
