//
//  ARService.h
//  AppRelay
//
//  Created by Sebastien Morel on 12-10-11.
//  Copyright (c) 2012 WhereCloud Inc. All rights reserved.
//

#import <UIKit/UIKit.h>

extern NSString* AppRelayAPIErrorCategory;
extern NSString* AppRelayMessageBundleErrorCategory;

/**
 */
@interface ARService : NSObject

///-----------------------------------
/// @name Accessing Shared Instance
///-----------------------------------

/**
 */
+ (ARService*)sharedService;

/** Return the current version formatted as follow : "MajorVersion (MinorVersion)"
 */
+ (NSString*)AppRelaySDKVersion;

/**
 */
@property (nonatomic, assign, readonly) NSString *userId;

/**
 */
@property (nonatomic,assign) BOOL campaignsEnabled;

/**
 */
@property (nonatomic,assign) BOOL crashReportsEnabled;

/**
 */
@property (nonatomic,retain,readonly) NSString* pushNotificationEnvironment;

///-----------------------------------
/// @name Setuping the Service
///-----------------------------------

/** Call This method to start the whole service containing metrics and message center.
 */
- (void)startServiceWithAPIKey:(NSString*)apiKey bundleId:(NSString*)bundleId;

/** Call This method to start the metrics tracker only.
 */
- (void)startTrackerWithAPIKey:(NSString*)apiKey bundleId:(NSString*)bundleId;

/**
 */
@property (nonatomic,copy) void(^errorBlock)(NSString* category, NSError* error);

@end
