//
//  ARService+MessageCenter.h
//  AppRelay
//
//  Created by Sebastien Morel on 13-03-22.
//  Copyright (c) 2013 WhereCloud Inc. All rights reserved.
//

#import "ARService.h"

typedef enum ARTopicPresentationSource{
    ARTopicPresentationSourceMessageCenter    = 0,
    ARTopicPresentationSourcePushNotification = 1
}ARTopicPresentationSource;


/**
 */
@interface ARService (MessageCenter)

///-----------------------------------
/// @name Managing and Displaying Messages and Topics
///-----------------------------------

/**
 */
@property(nonatomic,assign,readonly) NSInteger numberOfTopics;

/** Observes this property to update your unread topics badge number.
 */
@property(nonatomic,assign,readonly) NSInteger numberOfUnreadTopics;

/** By implementing this block, you can manage your application badge for example.
 */
@property(nonatomic,copy) void(^numberOfUnreadTopicsChangedBlock)(NSInteger numberOfUnreadTopics);

/**
 */
- (UIViewController*)viewControllerForMessageCenterWithSelectionBlock:(void(^)(UIViewController* messageCenter, id topic))selectionBlock;

/**
 */
- (UIViewController*)viewControllerForMessageCenterWithSelectionBlock:(void(^)(UIViewController* messageCenter, id topic))selectionBlock
                                                   customizationBlock:(void(^)(UIViewController* messageCenter, UITableView* tableView))customizationBlock;

/**
 */
- (UIViewController*)viewControllerForTopic:(id)topic source:(ARTopicPresentationSource)source;

/**
 */
- (UIViewController*)viewControllerForTopicWithUUID:(NSString*)topicUUID source:(ARTopicPresentationSource)source;;


@end
